Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82392 - Specifying env variables on strace cmdline
Summary: Specifying env variables on strace cmdline
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: strace
Version: beta5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-21 20:27 UTC by Jakub Jelinek
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-20 03:58:09 UTC


Attachments (Terms of Use)

Description Jakub Jelinek 2003-01-21 20:27:05 UTC
I think it would be good idea if strace accepted NAME=VALUE
arguments before name of command it should run and put them
into environment, so that if I want to see what:
LD_TRACE_LOADED_OBJECTS=1 ./somebinary
actually does, I can run:
strace LD_TRACE_LOADED_OBJECTS=1 ./somebinary
Similarly LD_LIBRARY_PATH, when I want strace itself use different
one from what I want for the binary, etc.

Roland:
That is reasonable, though perhaps -E foo=bar instead of breaking
either funny-named files or funny-named envvars.  Of course you can
always strace env foo=bar blah and ignore the part before the execve.

Comment 1 Roland McGrath 2003-01-22 04:45:39 UTC
I implemented it upstream, but after the 4.4.93 release.
The next release will have the -E switch.


Comment 2 Roland McGrath 2003-02-20 03:58:09 UTC
4.4.94 release has the feature and will hit rawhide soon enough.



Note You need to log in before you can comment on or make changes to this bug.